Billing Events¶
List Events¶
GET /api/subscriptions/{subscription-id}/billing_events
OAuth authorization required: profile_read
Schema
billing_events: Arrayid: Integerfrom_status: Booleanto_status: Booleanfrom_phase:String<trial,discount,final>to_phase:String<trial,discount,final>from_resource_qty: Integerto_resource_qty: Integercreated_at: DateTimeupdated_at: DateTimesubscription:Object<Subscription>source_product:Object<Product>destination_product:Object<Product>
View Event¶
GET /api/subscriptions/{subscription-id}/billing_events/{id}
OAuth authorization required: profile_read
Schema
billing_event: Objectid: Integerfrom_status: Booleanto_status: Booleanfrom_phase:String<trial,discount,final>to_phase:String<trial,discount,final>from_resource_qty: Integerto_resource_qty: Integercreated_at: DateTimeupdated_at: DateTimesubscription:Object<Subscription>source_product:Object<Product>destination_product:Object<Product>